"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parse = void 0;
const index_1 = require("./index");
const remeda_1 = require("remeda");
const parse = (item) => {
    if (!(0, remeda_1.isString)(item)) {
        throw new Error('Cannot parse something that is not a string');
    }
    return index_1.EJSON.fromJSONValue(JSON.parse(item));
};
exports.parse = parse;
//# sourceMappingURL=parse.js.map